org.jboss.logging

## Annotation Type Property

- Deprecated.
  Use org.jboss.logging.annotations.Property provided in module org.jboss.logging:jboss-logging-annotations

      @Retention(value=CLASS)
      @Target(value=PARAMETER)
      @Documented
      @Deprecated
      public @interface Property

  Indicate that a method parameter value should be applied to a property (with a setter method) on the resultant exception object.
  Author:
    David M. Lloyd

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `name` Deprecated. The property name.

- - ### Element Detail

    - #### name

          public abstract String name

      Deprecated.
      The property name. If not specified, the parameter name is assumed to be the property name.
      Returns:
        the property name
      Default:
        ""

Copyright © 2015. All rights reserved.